#pragma once

#include "Framework.h"

class LogoState :
	public GameState
{
public:
	LogoState(GameWindow *win);
	~LogoState(void);

	void Initial();
	void Update(float dt);
	void Draw(float dt);
	void Destroy();

private:
	GameImage m_image;
	GameFont m_font;
	GameTimer m_timer;
};